public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mike Gilbert" <floppym@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/acl/
Date: Mon,  7 Sep 2020 20:44:32 +0000 (UTC)	[thread overview]
Message-ID: <1599511440.1aed846710e5368ac390530b31e6854fa02a8489.floppym@gentoo> (raw)

commit:     1aed846710e5368ac390530b31e6854fa02a8489
Author:     David Michael <fedora.dm0 <AT> gmail <DOT> com>
AuthorDate: Thu Sep  3 12:40:33 2020 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Mon Sep  7 20:44:00 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1aed8467

sys-apps/acl: EAPI 7

Closes: https://bugs.gentoo.org/739302
Package-Manager: Portage-3.0.4, Repoman-2.3.23
Signed-off-by: David Michael <fedora.dm0 <AT> gmail.com>
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>

 sys-apps/acl/acl-2.2.53-r1.ebuild | 55 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 55 insertions(+)

diff --git a/sys-apps/acl/acl-2.2.53-r1.ebuild b/sys-apps/acl/acl-2.2.53-r1.ebuild
new file mode 100644
index 00000000000..4965f72787c
--- /dev/null
+++ b/sys-apps/acl/acl-2.2.53-r1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic libtool toolchain-funcs multilib-minimal usr-ldscript
+
+DESCRIPTION="access control list utilities, libraries and headers"
+HOMEPAGE="https://savannah.nongnu.org/projects/acl"
+SRC_URI="mirror://nongnu/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="nls static-libs"
+
+RDEPEND="
+	>=sys-apps/attr-2.4.47-r1[${MULTILIB_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="nls? ( sys-devel/gettext )"
+
+pkg_setup() {
+	# filter out -flto flags as they break getfacl/setfacl binaries
+	# (bug #667372)
+	filter-flags -flto*
+}
+
+src_prepare() {
+	default
+	elibtoolize #580792
+}
+
+multilib_src_configure() {
+	local myeconfargs=(
+		--bindir="${EPREFIX}"/bin
+		$(use_enable static-libs static)
+		--libexecdir="${EPREFIX}"/usr/$(get_libdir)
+		$(use_enable nls)
+	)
+	ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_install() {
+	default
+
+	# move shared libs to /
+	gen_usr_ldscript -a acl
+}
+
+multilib_src_install_all() {
+	if ! use static-libs ; then
+		find "${ED}" -type f -name "*.la" -delete || die
+	fi
+}


             reply	other threads:[~2020-09-07 20:44 UTC|newest]

Thread overview: 67+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-09-07 20:44 Mike Gilbert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-04-13  6:26 [gentoo-commits] repo/gentoo:master commit in: sys-apps/acl/ Arthur Zamarin
2024-03-14  8:23 Arthur Zamarin
2024-03-14  7:48 Arthur Zamarin
2024-03-14  7:13 Sam James
2024-03-14  7:00 Arthur Zamarin
2024-03-14  6:12 Sam James
2024-03-14  6:11 Sam James
2024-03-14  6:06 Sam James
2024-02-06 22:49 Sam James
2024-01-24  6:28 Sam James
2023-12-28  4:15 Sam James
2023-08-06 11:49 Sam James
2023-08-02 23:02 Sam James
2023-08-02  4:27 Sam James
2023-07-24 12:07 Jakov Smolić
2023-06-24  2:59 Sam James
2022-10-29 21:32 Sam James
2022-09-17  5:38 Arthur Zamarin
2022-09-16  8:03 Arthur Zamarin
2022-09-14 19:18 Arthur Zamarin
2022-09-07  1:50 Sam James
2022-09-06 21:59 Jakov Smolić
2022-09-06 21:49 Jakov Smolić
2022-09-06 21:35 Sam James
2022-09-06 21:35 Sam James
2022-05-24 22:40 Sam James
2022-05-24 17:19 Sam James
2022-04-12 10:56 Sam James
2021-06-06 15:42 David Seifert
2021-05-19 15:34 Sergei Trofimovich
2021-05-17  8:52 Agostino Sarubbo
2021-05-16 23:46 Sam James
2021-05-16  0:07 Sam James
2021-05-16  0:03 Sam James
2021-05-16  0:03 Sam James
2021-05-13 13:55 David Seifert
2021-03-16 15:00 Lars Wendler
2021-03-11 21:42 Lars Wendler
2021-02-24 21:50 Mike Gilbert
2021-02-24 21:50 Mike Gilbert
2020-11-23 16:39 Sergei Trofimovich
2020-11-17 19:10 Agostino Sarubbo
2020-11-17 18:55 Agostino Sarubbo
2020-11-17 18:50 Agostino Sarubbo
2020-11-14  9:24 Mikle Kolyada
2020-11-13 21:51 Sam James
2020-11-07 20:58 Sam James
2020-11-07 20:56 Sam James
2020-01-02 11:51 Lars Wendler
2020-01-02 10:16 Sergei Trofimovich
2019-11-27 13:12 Mikle Kolyada
2019-11-27 13:12 Mikle Kolyada
2019-11-27 13:12 Mikle Kolyada
2019-11-22 13:44 Matt Turner
2019-11-20 15:49 Agostino Sarubbo
2019-11-20 15:49 Agostino Sarubbo
2019-11-20 15:48 Agostino Sarubbo
2019-11-20 11:35 Agostino Sarubbo
2019-11-19 12:48 Agostino Sarubbo
2019-11-16 10:34 Sergei Trofimovich
2019-11-15  9:51 Agostino Sarubbo
2019-11-14  1:04 Aaron Bauman
2019-11-13 13:16 Lars Wendler
2019-11-13 13:16 Lars Wendler
2019-05-04 18:39 Mikle Kolyada
2018-06-19 13:22 Mike Frysinger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1599511440.1aed846710e5368ac390530b31e6854fa02a8489.floppym@gentoo \
    --to=floppym@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox